---@meta

---@class UWBP_ColorPalette_Slot_C : UB1BuildCustomizeColorPaletteEntry
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Anim_SelectedIdle UWidgetAnimation
---@field Anim_Selected UWidgetAnimation
---@field Anim_Idle UWidgetAnimation
---@field Anim_Delete UWidgetAnimation
---@field Anim_AddColor UWidgetAnimation
---@field Anim_AddAble UWidgetAnimation
---@field Image_line_1 UB1Image
---@field Image_line_2 UB1Image
---@field Image_Shadow UB1Image
---@field statIndex int32
---@field IsSelected boolean
local UWBP_ColorPalette_Slot_C = {}

---@return boolean
function UWBP_ColorPalette_Slot_C:IsSelectedEntry() end
function UWBP_ColorPalette_Slot_C:BndEvt__WBP_ColorPalette_Slot_Button_Add_K2Node_ComponentBoundEvent_0_OnButtonClickedEvent__DelegateSignature() end
---@param InSelect boolean
function UWBP_ColorPalette_Slot_C:SelectEntry(InSelect) end
---@param EntryPoint int32
function UWBP_ColorPalette_Slot_C:ExecuteUbergraph_WBP_ColorPalette_Slot(EntryPoint) end


